Bug 111223 - Cursor.get can return old values
Cursor.get can return old values
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: 106481
  Show dependency treegraph
 
Reported: 2003-11-30 14:59 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 17:39:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2003-11-30 14:59:48 EST
Perforce change 38342 causes Cursor.get to bypass Session.get under
all circumstances and therefore not pay attention to unflushed
changes. This can cause Cursor.get to under certain (currently very
rare) circumstances return the value of a property that is in the
database rather than the correct value. This can be fixed by making
the predicate of the if inside Cursor.getInternal more selective and
only check if m_values contains a key for 0..n paths. I'm creating
this ticket so I don't forget to fix this before the final release.
Comment 1 Archit Shah 2004-01-26 13:04:56 EST
fixed (@39653). The fix differs from the suggested one. Instead,
RecordSet#load does not return data to Cursor that is loaded into the
session.

Note You need to log in before you can comment on or make changes to this bug.